references: Details about a paper's references

API: semanticscholar.org:semantic-scholar-api
Endpoint: /paper/{paper_id}/references
Response format: text/html
Auth: unknown
Method: GET
Last Status: 403
Latency: 119ms

Description

Fetch details about the papers cited by this paper (i.e. appearing in this paper's bibliography) <br><br> Examples: <ul> <li>Let's suppose that the paper in the examples below has 1600 references...</li> <li><code>https://api.semanticscholar.org/graph/v1/paper/649def34f8be52c8b66281af98ae884c09aef38b/references</code></li> <ul> <li>Returns with offset=0, next=100, and data is a list of 100 references.</li> <li>Each reference has a citedPaper which contains its paperId and title.</li> </ul> <li><code>https://api.semanticscholar.org/graph/v1/paper/649def34f8be52c8b66281af98ae884c09aef38b/references?fields=contexts,intents,isInfluential,abstract&offset=200&limit=10</code></li> <ul> <li>Returns with offset=200, next=210, and data is a list of 10 references.</li> <li>Each reference has contexts, intents, isInfluential, and a citedPaper which contains its paperId and abstract.</li> </ul> <li><code>https://api.semanticscholar.org/graph/v1/paper/649def34f8be52c8b66281af98ae884c09aef38b/references?fields=authors&offset=1500&limit=500</code></li> <ul> <li>Returns with offset=1500, and data is a list of the last 100 references.</li> <li>Each reference has a citedPaper which contains its paperId plus a list of authors</li> <li>The authors under each citedPaper has their authorId and name.</li> </ul> </ul>

Parameters (4)

fields (string, query, optional)

A comma-separated list of the fields to be returned. See the contents of the <code>data</code> array in Response Schema below for a list of all available fields that can be returned. If the fields parameter is omitted, only the <code>paperId</code> and <code>title</code> will be returned. <p>Request fields nested within <code>citedPaper</code> the same way as fields like <code>contexts</code>.<br><br> Examples: <ul> <li><code>fields=contexts,isInfluential</code></li> <li><code>fields=contexts,title,authors</code></li> </ul>

limit (integer, query, optional, default: 100)

The maximum number of results to return.<br> Must be <= 1000

offset (integer, query, optional, default: 0)

Used for pagination. When returning a list of results, start with the element at this position in the list.

paper_id (string, path, required)

The following types of IDs are supported: <ul> <li><code>&lt;sha&gt;</code> - a Semantic Scholar ID, e.g. <code>649def34f8be52c8b66281af98ae884c09aef38b</code></li> <li><code>CorpusId:&lt;id&gt;</code> - a Semantic Scholar numerical ID, e.g. <code>CorpusId:215416146</code></li> <li><code>DOI:&lt;doi&gt;</code> - a <a href="http://doi.org">Digital Object Identifier</a>, e.g. <code>DOI:10.18653/v1/N18-3011</code></li> <li><code>ARXIV:&lt;id&gt;</code> - <a href="https://arxiv.org/">arXiv.rg</a>, e.g. <code>ARXIV:2106.15928</code></li> <li><code>MAG:&lt;id&gt;</code> - Microsoft Academic Graph, e.g. <code>MAG:112218234</code></li> <li><code>ACL:&lt;id&gt;</code> - Association for Computational Linguistics, e.g. <code>ACL:W12-3903</code></li> <li><code>PMID:&lt;id&gt;</code> - PubMed/Medline, e.g. <code>PMID:19872477</code></li> <li><code>PMCID:&lt;id&gt;</code> - PubMed Central, e.g. <code>PMCID:2323736</code></li> <li><code>URL:&lt;url&gt;</code> - URL from one of the sites listed below, e.g. <code>URL:https://arxiv.org/abs/2106.15928v1</code></li> </ul> URLs are recognized from the following sites: <ul> <li><a href="https://www.semanticscholar.org/">semanticscholar.org</a></li> <li><a href="https://arxiv.org/">arxiv.org</a></li> <li><a href="https://www.aclweb.org">aclweb.org</a></li> <li><a href="https://www.acm.org/">acm.org</a></li> <li><a href="https://www.biorxiv.org/">biorxiv.org</a></li> </ul>

Examples (3)

Basic references request curl
curl 'https://api.semanticscholar.org/graph/v1/paper/649def34f8be52c8b66281af98ae884/references' \
  -d '{"error": "Paper with id 649def34f8be52c8b66281af98ae884 not found"}'
import requests

resp = requests.get(
    "https://api.semanticscholar.org/graph/v1/paper/649def34f8be52c8b66281af98ae884/references",
    json={
        'error': 'Paper with id 649def34f8be52c8b66281af98ae884 not found',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("semanticscholar")
result = api.fetch("paper/{paper_id}/references")

for item in result:
    print(item)
const body = {
  "error": "Paper with id 649def34f8be52c8b66281af98ae884 not found"
};

const resp = await fetch("https://api.semanticscholar.org/graph/v1/paper/649def34f8be52c8b66281af98ae884/references", {
  body: JSON.stringify(body),
});
const data = await resp.json();
References with specific fields curl
curl 'https://api.semanticscholar.org/graph/v1/paper/649def34f8be52c8b66281af98ae884/references?fields=title%2Cauthors%2Cyear%2CcitationCount' \
  -d '{"error": "Paper with id 649def34f8be52c8b66281af98ae884 not found"}'
import requests

resp = requests.get(
    "https://api.semanticscholar.org/graph/v1/paper/649def34f8be52c8b66281af98ae884/references",
    params={
        'fields': 'title,authors,year,citationCount',
    },
    json={
        'error': 'Paper with id 649def34f8be52c8b66281af98ae884 not found',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("semanticscholar")
result = api.fetch("paper/{paper_id}/references", fields="title,authors,year,citationCount")

for item in result:
    print(item)
const body = {
  "error": "Paper with id 649def34f8be52c8b66281af98ae884 not found"
};

const resp = await fetch("https://api.semanticscholar.org/graph/v1/paper/649def34f8be52c8b66281af98ae884/references?fields=title%2Cauthors%2Cyear%2CcitationCount", {
  body: JSON.stringify(body),
});
const data = await resp.json();
Paginated references request curl
curl 'https://api.semanticscholar.org/graph/v1/paper/649def34f8be52c8b66281af98ae884/references?limit=50&offset=0' \
  -d '{"error": "Paper with id 649def34f8be52c8b66281af98ae884 not found"}'
import requests

resp = requests.get(
    "https://api.semanticscholar.org/graph/v1/paper/649def34f8be52c8b66281af98ae884/references",
    params={
        'limit': '50',
        'offset': '0',
    },
    json={
        'error': 'Paper with id 649def34f8be52c8b66281af98ae884 not found',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("semanticscholar")
result = api.fetch("paper/{paper_id}/references", limit=50, offset=0)

for item in result:
    print(item)
const body = {
  "error": "Paper with id 649def34f8be52c8b66281af98ae884 not found"
};

const resp = await fetch("https://api.semanticscholar.org/graph/v1/paper/649def34f8be52c8b66281af98ae884/references?limit=50&offset=0", {
  body: JSON.stringify(body),
});
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 02:36:01.607019 403 119ms
2026-04-16 02:10:58.842312 403 160ms
2026-04-16 00:49:38.529316 403 148ms
2026-04-15 02:34:58.269152 403 143ms
2026-04-15 02:17:42.566330 403 116ms
2026-04-15 00:26:38.213433 403 147ms
2026-04-14 03:23:55.277758 403 148ms
2026-04-14 02:48:48.623676 403 1390ms
2026-04-14 00:38:47.974274 403 548ms
2026-04-12 16:51:15.441748 403 144ms
2026-04-12 15:31:42.080054 403 140ms
2026-04-12 12:48:21.715978 403 126ms
2026-04-10 01:40:53.002494 403 91ms
2026-04-10 01:18:33.950509 403 81ms
2026-04-10 00:58:01.158439 403 350ms
2026-04-09 02:26:56.104662 403 150ms
2026-04-09 00:22:01.643470 403 120ms
2026-04-09 00:15:26.343234 403 178ms
2026-03-23 10:34:55.939267 403 90ms
2026-03-23 10:12:28.712869 403 76ms
2026-03-23 09:31:40.551470 403 93ms